<ng-container [ngSwitch]="ui">

    <ng-container *ngSwitchCase="'CHOICE'">
        <div [@fade] #overlay class="overlay"
        (click)="overlayClick($event)">

            <div class="modal choice" [@slide]>

                <div class="modal-body">
                    <ng-container *ngTemplateOutlet="content"></ng-container>
                </div>

                <div class="modal-footer">
                    <button
                    mr-button
                    [loading]="loading"
                    class="primary hover" (click)="confirm()">Si</button>

                    <button
                    mr-button
                    [disabled]="loading"
                    class="secondary hover" (click)="close()">No</button>
                </div>

            </div>
        </div>
    </ng-container>

    <ng-container *ngSwitchDefault>
        <div [@fade] #overlay class="overlay"
        (click)="overlayClick($event)">

            <div class="modal" [@slide]
            [class.large]="large">

                <div *ngIf="!customLayout"
                class="modal-header">
                    <h2 class="modal-title">{{title}}</h2>
                    <h6 class="modal-subtitle">{{subtitle}}</h6>

                    <button class="modal-close" (click)="close()">
                        <i class="las la-times"></i>
                    </button>
                </div>

                <div class="modal-body"
                [class.scroller]="scroller"
                [class.custom]="customLayout">
                    <div class="content" [class.scroller-padding]="scroller">
                        <ng-container *ngTemplateOutlet="content"></ng-container>
                    </div>
                </div>

                <div *ngIf="!customLayout"
                class="modal-footer">
                    <button
                    mr-button
                    [loading]="loading"
                    [class.disabled]="disableConfirm"
                    class="primary" (click)="confirm()">{{confirmText}}</button>
                </div>

            </div>
        </div>
    </ng-container>

</ng-container>

<ng-template #content><ng-content></ng-content></ng-template>
